> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Search Credit News

GET https://api.filesearch.dev/v2/datasets/odyssey/credit-analysis/news/search

Search credit and financial news articles matching a query.

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/credit-analysis/news/credit-analysis-news-search

## Request

### Query parameters

- `q` (string, required) — Search query for financial news
- `regions` (string, optional, nullable) — Region filter
- `limit` (integer, optional, default: 10)

## Response

### 200

Successful Response

- `query` (string, required)
- `limit` (integer, optional, default: 10)
- `results` (list of NewsArticle, optional)
- `total` (integer, optional, default: 0)

## Errors

### 500 Internal Server Error

Internal server error

- `error` (string, required) — `INTERNAL_ERROR`.
- `message` (string, required)
- `path` (string, required)

## Types

### NewsArticle

- `news_id` (string, required)
- `title` (string, required)
- `published_date` (string, optional, nullable)
- `snippet` (string, optional, nullable)
- `source` (string, optional, nullable)
- `url` (string, optional, nullable)

## Examples

**Response**

```json
{
  "query": "credit",
  "limit": 10,
  "results": [
    {
      "news_id": "abbd580c2473",
      "title": "FSB warns on private credit vulnerabilities",
      "published_date": null,
      "snippet": "The FSB report highlights that private credit brings benefits but also vulnerabilities, including complex interlinkages with banks, borrower ...Read more",
      "source": "google",
      "url": "https://www.fsb.org/2026/05/fsb-warns-on-private-credit-vulnerabilities/"
    },
    {
      "news_id": "59c259e9f395",
      "title": "Private credit",
      "published_date": null,
      "snippet": "Get the latest news, analysis and opinion on Private credit.",
      "source": "google",
      "url": "https://www.ft.com/private-credit"
    }
  ],
  "total": 8
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/credit-analysis/news/search",
    headers=headers,
    params={"q": "credit"},
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/credit-analysis/news/search?q=credit`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```